SweeperActions (gCube Resource Sweeper Widget 2.0.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.resourcesweeper.shared

## Enum SweeperActions

- java.lang.Object
- - java.lang.Enum<SweeperActions>
  - - org.gcube.portlets.admin.resourcesweeper.shared.SweeperActions

- All Implemented Interfaces:
    Serializable, Comparable<SweeperActions>

      public enum SweeperActions
      extends Enum<SweeperActions>
      implements Serializable

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLY_GHN_DELETE`
    `APPLY_GHN_MOVE_TO_UNREACHABLE`
    `APPLY_RI_DELETE`
    `GET_GHN_DELETE`
    `GET_GHN_MOVE_TO_UNREACHABLE`
    `GET_RI_DELETE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `String` | `getOperationDescription()`
    `String` | `getTooltip()`
    `static SweeperActions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SweeperActions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET_GHN_MOVE_TO_UNREACHABLE

          public static final SweeperActions GET_GHN_MOVE_TO_UNREACHABLE

    - #### GET_GHN_DELETE

          public static final SweeperActions GET_GHN_DELETE

    - #### GET_RI_DELETE

          public static final SweeperActions GET_RI_DELETE

    - #### APPLY_GHN_MOVE_TO_UNREACHABLE

          public static final SweeperActions APPLY_GHN_MOVE_TO_UNREACHABLE

    - #### APPLY_GHN_DELETE

          public static final SweeperActions APPLY_GHN_DELETE

    - #### APPLY_RI_DELETE

          public static final SweeperActions APPLY_RI_DELETE

  - ### Method Detail

    - #### values

          public static SweeperActions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SweeperActions c : SweeperActions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SweeperActions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getTooltip

          public String getTooltip()

    - #### getLabel

          public String getLabel()

    - #### getOperationDescription

          public String getOperationDescription()

Copyright © 2014. All Rights Reserved.